<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
<!-- Responsive Meta Tags -->
	<meta 
		name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit = no">


<!-- Bootstrap CSS -->
	<link 
		rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>

	<title>Bootstrap Flex</title>
</head>
<body>

	<div class="container"> 
		<div class="row">
			<div class="col-md-6 mx-md-auto bg-warning">
				<h1 class="text-center">Bootstrap Flex</h1>
			</div>
		</div>
	</div>

<!-- Flex Row -->
	<h4>Flex Row</h4>
	<div class="d-flex flex-row bg-dark mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 3</div>
	</div>

<!-- Flex Row Reverse -->

	<h4>Flex Row Reverse</h4>
	<div class="d-flex flex-row-reverse bg-dark mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 3</div>
	</div>

<!-- Flex Column -->
	<h4>Flex Column</h4>
	<div class="d-flex flex-column bg-dark mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 3</div>
	</div>

<!-- Flex Column Reverse -->
	<h4>Flex Column</h4>
	<div class="d-flex flex-column-reverse bg-dark mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 3</div>
	</div>

<!-- Justify Content -->
	<h2 class="text-center">Justify Content</h2>

	<h4 class="text-center">Justify Content Start</h4>
	<div class="bg-dark d-flex flex-row Justify-content-start mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 3</div>
	</div>

	<h4 class="text-center">Justify Content End</h4>
	<div class="bg-dark d-flex flex-row justify-content-end mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 3</div>
	</div>

	<h4 class="text-center">Justify Content Start Reverese</h4>
	<div class="bg-dark d-flex flex-row-reverse Justify-content-start mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 3</div>
	</div>

	<h4 class="text-center">Justify Content End Reverse</h4>
	<div class="bg-dark d-flex flex-row-reverse justify-content-end mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 3</div>
	</div>

	<h4 class="text-center">Justify Content Center</h4>
	<div class="bg-dark d-flex flex-row justify-content-center mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 3</div>
	</div>

	<h4 class="text-center">Justify Content Center Reverse</h4>
	<div class="bg-dark d-flex flex-row-reverse justify-content-center mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 3</div>
	</div>

	<h4 class="text-center">Justify Content Between</h4>
	<div class="bg-dark d-flex flex-row justify-content-between mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 3</div>
	</div>

	<h4 class="text-center">Justify Content Between Reverse</h4>
	<div class="bg-dark d-flex flex-row-reverse justify-content-between mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 3</div>
	</div>

	<h4 class="text-center">Justify Content Around</h4>
	<div class="bg-dark d-flex flex-row justify-content-around flex-wrap mb-4">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 3</div>
		<div class="bg-info p-2">Flex item 4</div>
		<div class="bg-secondary p-2">Flex item 5</div>
		<div class="bg-warning p-2">Flex item 6</div>
	</div>

	<h2 class="text-center">Align Items</h2>

	<h4 class="text-center">Align Items Start</h4>
	<div class="d-flex flex-row align-items-start bg-dark mb-4" style="height: 300px;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 4</div>
	</div>

	<h4 class="text-center">Align Items Start Reverse</h4>
	<div class="d-flex flex-row-reverse align-items-start bg-dark mb-4" style="height: 300px;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 4</div>
	</div>

	<h4 class="text-center">Align Items End</h4>
	<div class="d-flex flex-row align-items-end bg-dark mb-4" style="height: 300px;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 4</div>
	</div>

	<h4 class="text-center">Align Items End Reverse</h4>
	<div class="d-flex flex-row-reverse align-items-end bg-dark mb-4" style="height: 300px;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 4</div>
	</div>

	<h4 class="text-center">Align Items Center</h4>
	<div class="d-flex flex-row align-items-center bg-dark mb-4" style="height: 300px;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 4</div>
	</div>

	<h4 class="text-center">Align Items Center Reverse</h4>
	<div class="d-flex flex-row-reverse align-items-center bg-dark mb-4" style="height: 300px;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 4</div>
	</div>

	<h4 class="text-center">Aligning Vertically and Horizontally</h4>

	<h2 class="text-center">Aligning Vertically and Horizontally Justify content end</h2>
	<div class="d-flex flex-row align-items-end justify-content-end bg-dark mb-4" style="height: 300px;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 4</div>
	</div>

	<h2 class="text-center">Aligning Vertically and Horizontally Justify content around</h2>
	<div class="d-flex flex-row align-items-end justify-content-around bg-dark mb-4" style="height: 300px;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 4</div>
	</div>

	<h2 class="text-center">Aligning Vertically and Horizontally Justify content between</h2>
	<div class="d-flex flex-row align-items-end justify-content-between bg-dark mb-4" style="height: 300px;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 4</div>
	</div>

	<h2 class="text-center">Mini Activity</h2>
	<div class="d-flex flex-row align-items-center justify-content-center bg-dark mb-4" style="height: 300px;">
		<div class="bg-primary p-2">Flex item 1</div>
		<div class="bg-success p-2">Flex item 2</div>
		<div class="bg-danger p-2">Flex item 4</div>
	</div>
			
	<div class="d-flex flex-row align-items-center justify-content-around bg-dark mb-4" style="height: 300px;">
		<div class="bg-primary p-2 m-5">Flex item 1</div>
		<div class="bg-success p-2 m-5">Flex item 2</div>
		<div class="bg-danger p-2 m-5">Flex item 4</div>
	</div>

		
	
	











<!-- JS Script -->
	<script 
		src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script 
		src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
	<script 
		src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.min.js" integrity="sha384-VHvPCCyXqtD5DqJeNxl2dtTyhF78xXNXdkwX1CZeRusQfRKp+tA7hAShOK/B/fQ2" crossorigin="anonymous"></script>


</body>
</html>